pydo.droplets.list_neighbors_ids()

Generated on 7 Jul 2026 from pydo version v0.39.0

Usage

client.droplets.list_neighbors_ids()
Returns JSONRaises HttpResponseError

Description

To retrieve a list of all Droplets that are co-located on the same physical hardware, send a GET request to /v2/reports/droplet_neighbors_ids.

The results will be returned as a JSON object with a key of neighbor_ids. This will be set to an array of arrays. Each array will contain a set of Droplet IDs for Droplets that share a physical server. An empty array indicates that all Droplets associated with your account are located on separate physical hardware.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

resp = client.droplets.list_neighbors_ids()

Response Example

Show Response Example
{
  "neighbor_ids": [
    [
      168671828,
      168663509,
      168671815
    ],
    [
      168671883,
      168671750
    ]
  ]
}

More Information

See /v2/reports/droplet_neighbors_ids in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.